Bug 995038 - (CVE-2013-4404) CVE-2013-4404 cumin: missing authorization checks in forms, charts, and csv export widgets
CVE-2013-4404 cumin: missing authorization checks in forms, charts, and csv e...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131217,repor...
: Security
: 995016 (view as bug list)
Depends On: 1015694 1015696
Blocks: 858767 1034635
  Show dependency treegraph
 
Reported: 2013-08-08 08:49 EDT by Tomáš Nováčik
Modified: 2013-12-17 20:07 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-17 20:07:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Nováčik 2013-08-08 08:49:06 EDT
A flaw was found in the way cumin enforced user roles, allowing an unprivileged cumin user to access a range of resources without having the appropriate role. A remote, authenticated attacker could use this flaw to access privileged information, and perform a variety of privileged operations.
Comment 5 Vincent Danen 2013-10-04 15:50:27 EDT
Acknowledgements:

This issue was discovered by Tomáš Nováčik of the Red Hat MRG Quality Engineering team.
Comment 7 David Jorm 2013-12-03 01:04:57 EST
*** Bug 995016 has been marked as a duplicate of this bug. ***
Comment 9 errata-xmlrpc 2013-12-17 13:39:01 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1852 https://rhn.redhat.com/errata/RHSA-2013-1852.html
Comment 10 errata-xmlrpc 2013-12-17 13:41:38 EST
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2013:1851 https://rhn.redhat.com/errata/RHSA-2013-1851.html

Note You need to log in before you can comment on or make changes to this bug.